extends Spatial


# Declare member variables here. Examples:
# var a = 2
# var b = "text"
#var tileGenScene = preload("res://TileGenerator.tscn")
var Chunk = preload("res://chunk.tscn")

var minlat = -3
var maxlat = 3
var minlon = 0
var maxlon = 6

var curlat = 0
var curlon = 0

func _ready():
	Input.set_mouse_mode(Input.MOUSE_MODE_CAPTURED)
	curlat = minlat*30
	curlon = minlon*60
	
func _input(event):
	if event.is_action_pressed("ui_cancel"):
		Input.set_mouse_mode(Input.MOUSE_MODE_VISIBLE)
	if event.is_action_pressed("click"):
		if Input.get_mouse_mode() == Input.MOUSE_MODE_VISIBLE:
			Input.set_mouse_mode(Input.MOUSE_MODE_CAPTURED)
			get_tree().set_input_as_handled()

func _process(delta):
	if curlat < maxlat*30:
		if curlon < maxlon*60:
			var chunk = Chunk.instance()
			chunk.setParams(curlat,curlat+30,curlon,curlon+60,4)
			#moontile.scale=Vector3(1000,1000,1000)
			$Tiles.add_child(chunk)
			.get_node("UI/3").text="lastLatLon="+str(curlat)+":"+str(curlon)
			curlon += 60
		else:
			curlat +=30
			curlon = 0
			if curlat >= maxlat:
				print("loading complete")


# Called every frame. 'delta' is the elapsed time since the previous frame.
#func _process(delta):
#	pass

